Name: mkfontscale
Version: 1.0.3
Release: %mkrel 2
Summary: Create an index of scalable font files for X
Group: Development/X11
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
# add a few extra encodings
Patch0: mkfontscale-1.0.3-mdv.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libfontenc-devel >= 1.0.1
BuildRequires: freetype2-devel >= 2.1.10
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
For each directory argument, mkfontscale reads all of the scalable font files
in the directory. For every font file found, an X11 font name (XLFD) is
generated, and is written together with the file name to a file fonts.scale in
the directory.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/mkfontscale
%{_mandir}/man1/mkfontscale.1x.bz2


%changelog
* Wed Nov 22 2006 Pablo Saratxaga <pablo@mandriva.com> 1.0.3-2mdv2007.0
+ Revision: 86392
- added a few encodings for locales still using them (until 2006
  or when forcing non-UTF-8 at install)

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-1mdv2007.1
+ Revision: 85907
- new release
- fix description

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

